Bug 9250 - [PATCH] allow fetch to do ftp directory listings
Summary: [PATCH] allow fetch to do ftp directory listings
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 3.0-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dag-Erling Smørgrav
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 1998-12-31 00:50 UTC by leres
Modified: 2000-09-28 10:17 UTC (History)
0 users

See Also:


Attachments
file.diff (1.32 KB, patch)
1998-12-31 00:50 UTC, leres
no flags Details | Diff
file.diff (857 bytes, patch)
1998-12-31 00:50 UTC, leres
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description leres 1998-12-31 00:50:01 UTC
	Fetch cannot retreive a ftp directory listing; attempts to
	do so result in a ftp protocol error.

Fix: Context diffs to fetch/ftp.c and lib/libftpio.c are appended.
	This is mostly a matter of detecting that the filename is
	empty and doing a LIST instead of a RETR.

	(Note that when doing a directory listing, you should use
	the -o flag.)

RCS file: RCS/ftpio.c,v
retrieving revision 1.1
RCS file: RCS/ftp.c,v
retrieving revision 1.1
How-To-Repeat: 
	pig 62 % fetch -v ftp://ftp.ee.lbl.gov/
	Sending: USER anonymous
	ee.lbl.gov FTP server ready.
	Guest login ok, send ident as password.
	Sending: PASS leres@pig.ee.lbl.gov
	Guest login ok, access restrictions apply. Your mileage may vary.
	Sending: TYPE I
	Type set to I.
	Sending SIZE 
	'SIZE ': command not understood.
	Sending MDTM 
	'MDTM ': command not understood.
	fetch: : cannot get remote modification time
	Sending: PORT 131,243,1,91,18,188
	PORT command successful.
	Sending: RETR 
	'RETR ': command not understood.
	fetch: ftp://ftp.ee.lbl.gov/: FTP error:
	fetch: Syntax error, command unrecognized
	Sending: QUIT
	Goodbye.
Comment 1 Dag-Erling Smørgrav freebsd_committer 2000-06-29 11:37:31 UTC
Responsible Changed
From-To: freebsd-bugs->des

fetch(1) is mine.
Comment 2 Dag-Erling Smørgrav freebsd_committer 2000-09-28 10:16:20 UTC
State Changed
From-To: open->closed

Closed at originator's request.